Subject: Re: [PATCH v2 5/9] SubmittingPatches: update extra tags list

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Dec 2023 13:16:04 -0800

"Josh Soref via GitGitGadget" <[email-masked]> writes:

> +. `Co-authored-by:` is used to indicate that people exchanged drafts
> +   of a patch before submitting it.

I am afraid this misses the essence of what Co-authoring means.
You may have shared your draft as FYI to your colleagues, and they
may have tweaked phrasing and responded with their reviews to help
you improve _your_ work, but that may not make them your Co-authors.

I think the "intent" counts more.  If people closely worked
together, exchanging drafts and agreeing on the final version among
themselves before submitting, with the understanding that they share
the authorship credit/blame, they are Co-authors.

> +. `Helped-by:` is used to credit someone who suggested ideas for
> +  changes without providing the precise changes in patch form.
> +. `Mentored-by:` is used to credit someone with helping develop a
> +  patch as part of a mentorship program (e.g., GSoC or Outreachy).

Nicely differentiated.